commit 26eb90ba3632b64718e0cc477a5aecc348f50f4c
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Aug 25 02:18:39 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 56952888c57..8e5ffde7b7f 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,66 @@
+2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/102035
+	* config/arm/arm.md (attribute arch): Add fix_vlldm.
+	(arch_enabled): Use it.
+	* config/arm/vfp.md (lazy_store_multiple_insn): Add alternative to
+	use when erratum mitigation is needed.
+
+2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/102035
+	* config/arm/arm.opt (mfix-cmse-cve-2021-35465): New option.
+	* doc/invoke.texi (Arm Options): Document it.
+	* config/arm/arm-cpus.in (quirk_vlldm): New feature bit.
+	(ALL_QUIRKS): Add quirk_vlldm.
+	(cortex-m33): Add quirk_vlldm.
+	(cortex-m35p, cortex-m55): Likewise.
+	* config/arm/arm.c (arm_option_override): Enable fix_vlldm if
+	targetting an affected CPU and not explicitly controlled on
+	the command line.
+
+2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	* config/arm/vfp.md (lazy_store_multiple_insn): Rewrite as valid RTL.
+	(lazy_load_multiple_insn): Likewise.
+
+2021-08-24  Jan Hubicka  <hubicka@ucw.cz>
+
+	Backported from master:
+	2021-08-23  Jan Hubicka  <hubicka@ucw.cz>
+
+	PR middle-end/101949
+	* ipa-modref.c (analyze_ssa_name_flags): Fix merging of
+	EAF_NOCLOBBER
+
+2021-08-24  Jan Hubicka  <jh@suse.cz>
+
+	Backported from master:
+	2021-08-22  Jan Hubicka  <hubicka@ucw.cz>
+		    Martin Liska  <mliska@suse.cz>
+
+	PR middle-end/101949
+	* ipa-modref.c (analyze_ssa_name_flags): Indirect call implies
+	~EAF_NOCLOBBER.
+
+2021-08-24  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2021-08-23  Richard Biener  <rguenther@suse.de>
+
+	PR ipa/97565
+	* tree-ssa-structalias.c (ipa_pta_execute): Check in_other_partition
+	in addition to has_gimple_body.
+
 2021-08-23  Christophe Lyon  <christophe.lyon@foss.st.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 83a5291efec..83bcbc11a41 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210824
+20210825
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 225f5405483..5374622711d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,44 @@
+2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/102035
+	* gcc.target/arm/cmse/mainline/8_1m/soft/cmse-13a.c: New test.
+	* gcc.target/arm/cmse/mainline/8_1m/soft/cmse-7a.c: Likewise.
+	* gcc.target/arm/cmse/mainline/8_1m/soft/cmse-8a.c: Likewise.
+	* gcc.target/arm/cmse/mainline/8_1m/softfp-sp/cmse-7a.c: Likewise.
+	* gcc.target/arm/cmse/mainline/8_1m/softfp-sp/cmse-8a.c: Likewise.
+	* gcc.target/arm/cmse/mainline/8_1m/softfp/cmse-13a.c: Likewise.
+	* gcc.target/arm/cmse/mainline/8_1m/softfp/cmse-7a.c: Likewise.
+	* gcc.target/arm/cmse/mainline/8_1m/softfp/cmse-8a.c: Likewise.
+
+2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	* lib/target-supports.exp (check_effective_target_arm_cmse_hw):
+	New function.
+
+2021-08-24  Jan Hubicka  <jh@suse.cz>
+
+	Backported from master:
+	2021-08-22  Jan Hubicka  <hubicka@ucw.cz>
+		    Martin Liska  <mliska@suse.cz>
+
+	* gcc.dg/lto/pr101949_0.c: New test.
+	* gcc.dg/lto/pr101949_1.c: New test.
+
+2021-08-24  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2021-08-23  Richard Biener  <rguenther@suse.de>
+
+	PR ipa/97565
+	* g++.dg/lto/pr97565_0.C: New testcase.
+	* g++.dg/lto/pr97565_1.C: Likewise.
+
 2021-08-23  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index 5f623b8c8e8..4b8dab4c9bb 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,12 @@
+2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/102035
+	* config/arm/cmse_nonsecure_call.S (__gnu_cmse_nonsecure_call):
+	Add vlldm erratum work-around.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 85c7e14631a..0a10835e0f6 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,249 @@
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-08-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101965
+	* include/std/charconv (__to_chars_i): Remove redundant check.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-08-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	* testsuite/26_numerics/random/seed_seq/cons/range.cc: Check
+	construction from input iterators.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-07-22  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100682
+	* doc/xml/manual/debug_mode.xml: Update documentation about
+	debug capability of std::array.
+	* doc/html/*: Regenerate.
+	* include/debug/array: New file.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-08-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/basic_string.h (basic_string::contains): Do not
+	define for -std=gnu++20.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/semaphore_base.h: Include <exception> and <errno.h>.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-06-22  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/random.h (seed_seq): Constrain initializer-list
+	constructor.
+	* include/bits/random.tcc (seed_seq): Add template parameter.
+	* testsuite/26_numerics/random/seed_seq/cons/default.cc: Check
+	for noexcept.
+	* testsuite/26_numerics/random/seed_seq/cons/initlist.cc: Check
+	constraints.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-30  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100285
+	* include/experimental/socket (__basic_socket_impl::set_option)
+	(__basic_socket_impl::get_option) [!_GLIBCXX_HAVE_SYS_SOCKET_H]:
+	Just set error code.
+	* testsuite/experimental/net/socket/socket_base.cc: CHeck
+	for <sys/socket.h> not <socket.h>.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-30  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100180
+	PR libstdc++/100286
+	PR libstdc++/100351
+	* testsuite/experimental/net/internet/address/v4/comparisons.cc:
+	Use new effective-target keyword.
+	* testsuite/experimental/net/internet/address/v4/cons.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/address/v4/creation.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/address/v4/members.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/address/v6/members.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/resolver/base.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/resolver/ops/lookup.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/resolver/ops/reverse.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/socket/opt.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/tcp.cc:
+	Likewise.
+	* testsuite/experimental/net/internet/udp.cc:
+	Likewise.
+	* testsuite/lib/libstdc++.exp (check_effective_target_net_ts_ip):
+	New proc to check net_ts_ip et.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-27  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/experimental/internet (address_v6::bytes_type): Adjust
+	formatting.
+	(basic_endpoint): Define _M_is_v6() to put all checks for
+	AF_INET6 in one place.
+	(basic_endpoint::resize): Simplify.
+	(operator==(const tcp&, const tcp&)): Add constexpr and noexcept.
+	(operator!=(const tcp&, const tcp&)): Likewise.
+	(operator==(const udp&, const udp&)): Likewise.
+	(operator!=(const udp&, const udp&)): Likewise.
+	* testsuite/experimental/net/internet/tcp.cc: New test.
+	* testsuite/experimental/net/internet/udp.cc: New test.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-27  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100286
+	* include/experimental/internet (resolver_errc, resolver_category())
+	(make_error_code, make_error_condition): Define unconditionally,
+	only make enumerators and use of gai_strerror depend on the
+	availability of <netdb.h>.
+	(address_v4::to_string): Use correct constant for string length.
+	(address_v4::to_string, address_v6::to_string): Define
+	unconditionally, throw if unsupported.
+	(make_address_v4, make_address_v6): Define unconditionally.
+	Return an error if unsupported.
+	(tcp, udp, v6_only, unicast::hops, multicast::*): Define
+	conditionally,
+	* testsuite/experimental/net/internet/socket/opt.cc: Check for
+	<netinet/in.h> and <netinet/tcp.h> before using types from
+	namespace net::ip.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-27  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100285
+	* include/experimental/internet (resolver_base::flags):
+	Define overloaded operators as hidden friends.
+	* include/experimental/socket (socket_base::message_flags):
+	Likewise.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/experimental/internet (tcp::no_delay, v6_only)
+	(unicast::hops, multicast::hops, multicast::enable_loopback):
+	Change access of base class and static data members. Add
+	using-declaration for __socket_crtp::operator=(_Tp).
+	(multicast::__mcastopt): New type.
+	(multicast::join_group, multicast::leave_group): Derive from
+	__mcastopt for common implementation.
+	* include/experimental/socket: Add comment.
+	* testsuite/experimental/net/internet/socket/opt.cc: New test.
+	* testsuite/experimental/net/socket/socket_base.cc: Check for
+	protected constructor/destructor of socket_base. Check for
+	explicit constructors of socket option classes.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/experimental/bits/net.h (__socket_base): Add
+	bool template parameter to allow BooleanSocketOption and
+	IntegerSocketOption to have different __socket_base<int>
+	base classes.
+	(__socket_base<bool>): Adjust base class.
+	(__socket_base<int>): Add partial specialization.
+	(__socket_crtp::operator=(_Tp)): Add noexcept-specifier.
+	* include/experimental/socket (socket_base::broadcast)
+	(socket_base::debug, socket_base::do_not_route)
+	(socket_base::keep_alive, socket_base::linger)
+	(socket_base::out_of_band_inline)
+	(socket_base::receive_buffer_size)
+	(socket_base::receive_low_watermark)
+	(socket_base::reuse_address, socket_base::send_buffer_size)
+	(socket_base::send_low_watermark): Add using-declaration for
+	__socket_crtp::operator=(_Tp).
+	* testsuite/experimental/net/socket/socket_base.cc: Check
+	properties of socket option types.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/experimental/internet (resolver_base::flags): Remove
+	enumerators. Initialize constants directly with desired values.
+	Make all operators constexpr and noexcept.
+	* testsuite/experimental/net/internet/resolver/base.cc: Use
+	__gnu_test::test_bitmask_values for bitmask type. Check
+	construction and destruction is protected.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-23  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100180
+	* include/experimental/io_context (io_context): Define
+	dummy_pollfd type so that most member functions still compile
+	without <poll.h> and struct pollfd.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-23  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/experimental/io_context (io_context::async_wait): Add
+	comment.
+	* include/experimental/socket (basic_socket::async_connect):
+	Cast wait_type constant to int.
+	(basic_datagram_socket::async_receive): Likewise.
+	(basic_datagram_socket::async_receive_from): Likewise.
+	(basic_datagram_socket::async_send): Likewise.
+	(basic_datagram_socket::async_send_to): Likewise.
+	(basic_stream_socket::async_receive): Likewise.
+	(basic_stream_socket::async_send): Likewise. Use io_context
+	parameter directly, instead of via an executor.
+	(basic_socket_acceptor::async_accept): Likewise.
+
+2021-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-04-23  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/experimental/socket (socket_base::shutdown_type):
+	(socket_base::wait_type, socket_base::message_flags):
+	Remove enumerators. Initialize constants directly with desired
+	values.
+	(socket_base::message_flags): Make all operators constexpr and
+	noexcept.
+	* testsuite/util/testsuite_common_types.h (test_bitmask_values):
+	New test utility.
+	* testsuite/experimental/net/socket/socket_base.cc: New test.
+
 2021-08-23  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

